# ComponentModuleMetadata

interface ComponentModuleMetadata

Contains immutable component module metadata information.

#### Since

2.2

#### Inheritors

ComponentModuleMetadataDetails

## Functions

getId
Link copied to clipboard
abstract fun getId(): ModuleIdentifier
The identifier of the module.
getReplacedBy
Link copied to clipboard
@Nullable
abstract fun getReplacedBy(): @Nullable ModuleIdentifier
The identifier of module that replaces this module.